GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_transport_global Struct Reference

`#include <internal.h>`

## Data Fields
gpr_slice_buffer | qbuf
| data to write next write More...
grpc_iomgr_closure * | pending_closures_head
| queued callbacks More...
grpc_iomgr_closure * | pending_closures_tail
gpr_uint32 | outgoing_window
| window available for us to send to peer More...
gpr_uint32 | incoming_window
| window available for peer to send to us - updated after parse More...
gpr_uint32 | connection_window_target
| how much window would we like to have for incoming_window More...
gpr_uint8 | seen_goaway
| have we seen a goaway More...
gpr_uint8 | sent_goaway
| have we sent a goaway More...
gpr_uint8 | is_client
| is this transport a client? More...
gpr_uint8 | dirtied_local_settings
| are the local settings dirty and need to be sent? More...
gpr_uint8 | sent_local_settings
| have local settings been sent? More...
gpr_uint32 | force_send_settings
| bitmask of setting indexes to send out More...
gpr_uint32 | settings [GRPC_NUM_SETTING_SETS][GRPC_CHTTP2_NUM_SETTINGS]
| settings values More...
gpr_uint32 | next_stream_id
| what is the next stream id to be allocated by this peer? copied to next_stream_id in parsing when parsing commences More...
gpr_uint32 | last_incoming_stream_id
| last received stream id More...
grpc_chttp2_outstanding_ping | pings
| pings awaiting responses More...
gpr_uint64 | ping_counter
| next payload for an outgoing ping More...
gpr_uint32 | concurrent_stream_count
| concurrent stream count: updated when not parsing, so this is a strict over-estimation on the client More...

## Field Documentation

gpr_uint32 grpc_chttp2_transport_global::concurrent_stream_count

concurrent stream count: updated when not parsing, so this is a strict over-estimation on the client

gpr_uint32 grpc_chttp2_transport_global::connection_window_target

how much window would we like to have for incoming_window

gpr_uint8 grpc_chttp2_transport_global::dirtied_local_settings

are the local settings dirty and need to be sent?

gpr_uint32 grpc_chttp2_transport_global::force_send_settings

bitmask of setting indexes to send out

gpr_uint32 grpc_chttp2_transport_global::incoming_window

window available for peer to send to us - updated after parse

gpr_uint8 grpc_chttp2_transport_global::is_client

is this transport a client?

gpr_uint32 grpc_chttp2_transport_global::last_incoming_stream_id

last received stream id

gpr_uint32 grpc_chttp2_transport_global::next_stream_id

what is the next stream id to be allocated by this peer? copied to next_stream_id in parsing when parsing commences

gpr_uint32 grpc_chttp2_transport_global::outgoing_window

window available for us to send to peer

grpc_iomgr_closure* grpc_chttp2_transport_global::pending_closures_head

queued callbacks

grpc_iomgr_closure* grpc_chttp2_transport_global::pending_closures_tail

gpr_uint64 grpc_chttp2_transport_global::ping_counter

next payload for an outgoing ping

grpc_chttp2_outstanding_ping grpc_chttp2_transport_global::pings

pings awaiting responses

gpr_slice_buffer grpc_chttp2_transport_global::qbuf

data to write next write

gpr_uint8 grpc_chttp2_transport_global::seen_goaway

have we seen a goaway

gpr_uint8 grpc_chttp2_transport_global::sent_goaway

have we sent a goaway

gpr_uint8 grpc_chttp2_transport_global::sent_local_settings

have local settings been sent?

gpr_uint32 grpc_chttp2_transport_global::settings[GRPC_NUM_SETTING_SETS][GRPC_CHTTP2_NUM_SETTINGS]

settings values

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h